Bug 633318 - semicolon expected in dhclient6.leases
semicolon expected in dhclient6.leases
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
17
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-13 11:01 EDT by Jiri Popelka
Modified: 2012-08-06 03:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 03:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
leases file (1.43 KB, text/plain)
2010-09-13 11:23 EDT, udo
no flags Details
Patch fixing the problem. (1.61 KB, patch)
2012-07-25 10:12 EDT, Tomáš Hozza
no flags Details | Diff

  None (edit)
Comment 1 Jiri Popelka 2010-09-13 11:01:55 EDT
Please attach the /var/lib/dhclient/dhclient6.leases
Comment 2 udo 2010-09-13 11:23:22 EDT
Created attachment 446968 [details]
leases file
Comment 3 Jiri Popelka 2010-09-13 12:40:35 EDT
I made the comment #0 private, because I forgot to remove your email address.
Comment 4 udo 2010-09-13 12:52:57 EDT
My bugzilla frontpage is full so please do not bother.
Comment 5 Jiri Popelka 2010-09-13 12:58:21 EDT
The problem does the
  option dhcp6.reconf-accept ;
line in the lease file.

man dhcp-option says:

option dhcp6.reconf-accept ;
 The reconf-accept option is included by DHCPv6 clients that support the
 Reconfigure extentions, advertising that they will respond
 if the server were to ask them to Reconfigure.
 There is no support for DHCPv6 Reconfigure extensions,
 and this option is documented informationally only.

Do you have any idea what it is and how it got into the leases file ?
Comment 6 udo 2010-09-13 13:11:25 EDT
I just ran a ` dhclient -6 -P  ppp0` and that commandline created the dhclient6.leases file. The file grows and gets shorter all the time. So I do guess now that isc dhclient is NOT compatible with itself.

Yes, I had to patch dhcp to make it work with ppp as isc does not give ppp a well deserved place. see https://bugzilla.redhat.com/show_bug.cgi?id=626514.
ppp plus pd is the way to go for ipv6 I read.
Comment 7 udo 2010-09-15 09:58:55 EDT
So if dhclient inserts a line in the leases file that it (according to documentation) does not use, why doesn't dhclient parse it OK and then ignore it?
Is documentation still current for this version?
Comment 8 udo 2011-09-30 09:11:53 EDT
# rpm -q dhclient
dhclient-4.2.2-2.fc16.i68

Sep 28 12:54:54 ep1a dhclient[32104]: /var/lib/dhclient/dhclient6.leases line 197: semicolon expected.
Comment 9 udo 2012-07-19 13:40:23 EDT
Still happens.

/var/lib/dhclient/dhclient6.leases line
71: semicolon expected.

dhclient-4.2.4-5.fc17.i686
Comment 10 Tomáš Hozza 2012-07-25 10:12:17 EDT
Created attachment 600310 [details]
Patch fixing the problem.

This patch solves the problem with parsing zero-length options in dhclient6.leases file.
Comment 11 udo 2012-07-25 10:15:25 EDT
Jay! Thanks!
Hopefully Jiri can include this in the very next dhcp release...!
Comment 12 Jiri Popelka 2012-07-25 10:19:33 EDT
Tomas can do that, actually.

You rock Tomas ! :-)
Comment 13 Tomáš Hozza 2012-07-25 10:45:26 EDT
Thank you :-)

Udo, you can find build with this fix here http://koji.fedoraproject.org/koji/buildinfo?buildID=344071
Comment 14 udo 2012-07-25 10:55:15 EDT
Thanks Tomas!

dhclient still works:

Jul 25 16:52:25 epia dhclient[21795]: Bound to *:546
Jul 25 16:52:25 epia dhclient[21795]: xid: warning: no netdev with useable HWADDR found for seed's uniqueness enforcement
Jul 25 16:52:25 epia dhclient[21795]: xid: rand init seed (0xf8d06a23) built using gethostid
Jul 25 16:52:26 epia dhclient[21795]: XMT: Rebind on ppp0, interval 970ms.
Jul 25 16:52:26 epia dhclient[21795]: RCV: Reply message on ppp0 from fe80::90:1a00:1a1:88e6.
Jul 25 16:52:26 epia dhclient[21795]: message status code Success.


And no semicolon complaints in the messages log!
Comment 15 Fedora Update System 2012-07-27 04:45:29 EDT
dhcp-4.2.4-9.P1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-11079/dhcp-4.2.4-9.P1.fc17
Comment 16 Fedora Update System 2012-08-01 14:29:01 EDT
dhcp-4.2.4-9.P1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.